Skip to content

Close VA

| View as Markdown

This API will close a particular virtual account assigned to a merchant if we pass merchant id, virtual account no and UID correctly.

https://kraken.airpay.co.in/airpay/va/api/
ParameterType ValueDescriptionValue Like
Content-Type requiredStringapplication/x-www-form-urlencoded
ParameterType ValueDescriptionValue Like
action requiredStringAction to perform - closeclose
private_key requiredAlphanumericPrivate Key (length 10-200) (required)
hash(‘sha256’, @secretkey:username
:password)
merchant_id requiredNumericMerchant Id1
virtual_account_number requiredNumericVirtual account number or UID Unique user identifier from the merchant is required2293640000000010242
UID requiredNumericVirtual account number or UID Unique user identifier from the merchant is required
checksum requiredAlphanumericHash generated by : sha1(virtual_account_number.UID.action.merchant_id.private_key)8fe4273d9389f71d58152b92402a19e3b7ef51a8
ParameterType ValueDescriptionValue Like
STATUS requiredNumberStatus Code Success - 200
Failed - 400
200,400
MESSAGE requiredStringStatus Message
Success - 200 Transaction is success
Transaction in Process - 211 Transaction in processing
Failed - 400 Transaction in failed
Dropped - 401 The transaction will not register properly
Cancel - 402 payment that has not yet been processed
Incomplete - 403 Not recieved any call back from bank
Bounced - 405 The transaction has bounced
No Records - 503 There is no records found
Virtual account is invalid - 526
success,fail
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=close' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=8fe4273d9389f71d58152b92402a19e3b7ef51a8'
HTTP/1.1 200 OK
{
"STATUS": "200",
"MESSAGE": "Success"
}
HTTP/1.1 200 OK
{
"STATUS": "400",
"MESSAGE": "Failed"
}